Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.impl
Class SdFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.amp.amf.sd.impl.SdFactoryImpl

All Implemented Interfaces:
  SdFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SdFactoryImplGeneratedNot

    public class SdFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements SdFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.amp.amf.sd.SdFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SdFactoryImpl()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`SdAuxVariable` | `createSdAuxVariable()`
`SdConnector` | `createSdConnector()`
`SdFlowVariable` | `createSdFlowVariable()`
`SdModel` | `createSdModel()`
`SdNamedElement` | `createSdNamedElement()`
`SdStockVariable` | `createSdStockVariable()`
`static SdPackage` | `getPackage()` Deprecated.
`SdPackage` | `getSdPackage()`
`static SdFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SdFactoryImpl

    public SdFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SdFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSdNamedElement

    public SdNamedElement createSdNamedElement()

  Specified by:
    `createSdNamedElement` in interface `SdFactory`
  Returns:
    a new object of class 'Named Element'.

### createSdModel

    public SdModel createSdModel()

  Specified by:
    `createSdModel` in interface `SdFactory`
  Returns:
    a new object of class 'Model'.

### createSdAuxVariable

    public SdAuxVariable createSdAuxVariable()

  Specified by:
    `createSdAuxVariable` in interface `SdFactory`
  Returns:
    a new object of class 'Aux Variable'.

### createSdStockVariable

    public SdStockVariable createSdStockVariable()

  Specified by:
    `createSdStockVariable` in interface `SdFactory`
  Returns:
    a new object of class 'Stock Variable'.

### createSdFlowVariable

    public SdFlowVariable createSdFlowVariable()

  Specified by:
    `createSdFlowVariable` in interface `SdFactory`
  Returns:
    a new object of class 'Flow Variable'.

### createSdConnector

    public SdConnector createSdConnector()

  Specified by:
    `createSdConnector` in interface `SdFactory`
  Returns:
    a new object of class 'Connector'.

### getSdPackage

    public SdPackage getSdPackage()

  Specified by:
    `getSdPackage` in interface `SdFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static SdPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD